Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Tools/Xabsl2/yabsl/vsyabsl/stdservice.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | ColorizerState
class | Location
| Class for location dependent configuration. More...
struct | TokenInfo
struct | ColorInfo
struct | MethodFormat
struct | CommentFormat
struct | LexBuffer
class | StdService
class | CommentService
struct | LexCompleteState
## Defines
#define | override
#define | final
#define | pure = 0
#define | local static
#define | global
#define | YYLTYPE Location
#define | YYSTYPE Location
#define | first_line startRow
#define | first_column startIdx
#define | last_line endRow
#define | last_column endIdx
#define | YY_NEVER_INTERACTIVE 1
#define | YY_FATAL_ERROR(msg) g_service->fatalFlexError( msg )
#define | YYLSP_NEEDED 1
#define | YY_INPUT(buf, result, maxSize) g_service->readInput( buf, &result, maxSize )
## Typedefs
typedef wchar_t | InputChar
typedef unsigned | State
typedef unsigned | Bits
typedef unsigned | LexState
typedef int | Token
## Functions
int | yylex ()
void | yyrestart (in FILE *)
int | yywrap ()
int | yyparse ()
void | yyerror (const char *message)
void | primSetLexState (in LexState)
LexState | primGetLexState (void)
void | yy_switch_to_buffer (yy_buffer_state *)
void | yy_flush_buffer (yy_buffer_state *)
void | yy_delete_buffer (yy_buffer_state *)
yy_buffer_state * | yy_create_buffer (FILE *, int)
void | primSaveLexCompleteState (out LexCompleteState &)
void | primRestoreLexCompleteState (in LexCompleteState &)
## Variables
const int | MaxErrorMessage = 128
const int | MaxStr = 512
const Bits | StateBits = 4
const Bits | CommentBits = 8
const State | MaxCommentNesting = 255
const Token | TokenEnd = (Token)(-1)
const ColorClass | ColorClassEnd = (ColorClass)(-1)
char * | yytext
int | yyleng
YYSTYPE | yylval
YYLTYPE | yylloc
int | yychar

## Define Documentation

#define override

| Definition at line 22 of file stdservice.h. Referenced by CommentService::doneColorizerState(), Service::getTokenInfo(), and CommentService::initColorizerState().

#define final

| Definition at line 23 of file stdservice.h.

#define pure = 0

| Definition at line 24 of file stdservice.h.

#define local static

| Definition at line 25 of file stdservice.h. Referenced by updatePosition().

#define global

| Definition at line 26 of file stdservice.h.

#define YYLTYPE Location

| Definition at line 82 of file stdservice.h.

#define YYSTYPE Location

| Definition at line 86 of file stdservice.h.

#define first_line startRow

| Definition at line 89 of file stdservice.h.

#define first_column startIdx

| Definition at line 90 of file stdservice.h.

#define last_line endRow

| Definition at line 91 of file stdservice.h.

#define last_column endIdx

| Definition at line 92 of file stdservice.h.

#define YY_NEVER_INTERACTIVE 1

| Definition at line 409 of file stdservice.h.

#define YY_FATAL_ERROR | ( | msg |  | ) | g_service->fatalFlexError( msg )

| Definition at line 412 of file stdservice.h.

#define YYLSP_NEEDED 1

| Definition at line 422 of file stdservice.h.

#define YY_INPUT | ( | buf,
|  | result,
|  | maxSize |  | ) | g_service->readInput( buf, &result, maxSize )

| Definition at line 426 of file stdservice.h.

## Typedef Documentation

typedef wchar_t InputChar

| Definition at line 14 of file stdservice.h.

typedef unsigned State

| Definition at line 32 of file stdservice.h. Referenced by KickLogger::changeState(), ColorizerState::ColorizerState(), StdService::doneBuffer(), ColorizerState::getState(), GameControlData::getStateName(), ColorizerState::load(), ColorizerState::reset(), and ColorizerState::save().

typedef unsigned Bits

| Definition at line 33 of file stdservice.h. Referenced by ColorizerState::load(), and ColorizerState::save().

typedef unsigned LexState

| Definition at line 34 of file stdservice.h. Referenced by CommentService::enterComment(), StdService::getLexState(), StdService::initColorizerState(), and StdService::setLexState().

typedef int Token

| Definition at line 97 of file stdservice.h. Referenced by StdService::ColorLine(), StdService::getTokenDescription(), StdService::nextToken(), and StdService::parserNextToken().

## Function Documentation

int yylex | ( |  | ) |

| Referenced by StdService::nextToken().

void yyrestart | ( | in FILE * |  | ) |

int yywrap | ( |  | ) |

| Definition at line 26 of file stdservice_.cpp.

int yyparse | ( |  | ) |

void yyerror | ( | const char * | message | ) |

| Definition at line 31 of file stdservice_.cpp.

void primSetLexState | ( | in | LexState | ) |

| Referenced by StdService::setLexState().

LexState primGetLexState | ( | void |  | ) |

| Referenced by StdService::getLexState().

void yy_switch_to_buffer | ( | yy_buffer_state * |  | ) |

| Referenced by StdService::doneBuffer().

void yy_flush_buffer | ( | yy_buffer_state * |  | ) |

| Referenced by StdService::doneBuffer().

void yy_delete_buffer | ( | yy_buffer_state * |  | ) |

| Referenced by LexBuffer::~LexBuffer().

yy_buffer_state* yy_create_buffer | ( | FILE * | ,
|  | int |
| ) |

| Referenced by LexBuffer::LexBuffer().

void primSaveLexCompleteState | ( | out LexCompleteState & |  | ) |

void primRestoreLexCompleteState | ( | in LexCompleteState & |  | ) |

## Variable Documentation

const int MaxErrorMessage = 128

| Definition at line 16 of file stdservice.h. Referenced by StdService::expectError(), StdService::getTokenDescription(), and StdService::syntaxError().

const int MaxStr = 512

| Definition at line 17 of file stdservice.h. Referenced by StdService::addScope(), BstrNew(), StdService::GetColorInfo(), and StdService::tokenText().

const Bits StateBits = 4

| Definition at line 36 of file stdservice.h. Referenced by StdService::doneColorizerState(), CommentService::doneColorizerState(), StdService::initColorizerState(), and CommentService::initColorizerState().

const Bits CommentBits = 8

| Definition at line 37 of file stdservice.h. Referenced by CommentService::doneColorizerState(), and CommentService::initColorizerState().

const State MaxCommentNesting = 255

| Definition at line 38 of file stdservice.h. Referenced by CommentService::enterComment().

const Token TokenEnd = (Token)(-1)

| Definition at line 98 of file stdservice.h. Referenced by Service::getTokenInfo().

const ColorClass ColorClassEnd = (ColorClass)(-1)

| Definition at line 99 of file stdservice.h. Referenced by StdService::ColorCount(), StdService::getColorInfo(), and StdService::lookupColorInfo().

char* yytext

| Definition at line 405 of file stdservice.h. Referenced by StdService::lexicalError(), and StdService::nextToken().

int yyleng

| Definition at line 406 of file stdservice.h. Referenced by StdService::ColorLine(), StdService::lexicalError(), and StdService::nextToken().

YYSTYPE yylval

| Definition at line 417 of file stdservice.h.

YYLTYPE yylloc

| Definition at line 418 of file stdservice.h.

int yychar

| Definition at line 419 of file stdservice.h. Referenced by StdService::syntaxError().